Package org.eclipse.birt.chart.script

# Interface IScriptClassLoader

All Known Implementing Classes:
  `ScriptClassLoaderAdapter`

public interface IScriptClassLoader
This interface defines the functions to load script classes for chart scripting.

## Method Summary

Modifier and Type
Method
Description
`Class`
`loadClass(String className, ClassLoader parentLoader)`
Loads the class by given name.

## Method Details

### loadClass

Class loadClass(String className, ClassLoader parentLoader) throws ClassNotFoundException
Loads the class by given name.

Parameters:
  `className` - Class name.
  `parentLoader` - Parent loader.
Returns:
  Loaded class.
Throws:
  `ClassNotFoundException`